The Alternative Csound Reference Manual
Previous |  | Next

# mdelay

mdelay -- A MIDI delay opcode.

## Description

A MIDI delay opcode.

## Syntax

mdelay kstatus, kchan, kd1, kd2, kdelay

## Performance

kstatus -- status byte of MIDI message to be delayed

kchan -- MIDI channel (1-16)

kd1 -- first MIDI data byte

kd2 -- second MIDI data byte

kdelay -- delay time in seconds

Each time that kstatus is other than zero, mdelay outputs a MIDI message to the MIDI out port after kdelay seconds. This opcode is useful in implementing MIDI delays. Several instances of mdelay can be present in the same instrument with different argument values, so complex and colorful MIDI echoes can be implemented. Further, the delay time can be changed at k-rate.

## Credits

Author: Gabriel Maldonado
Italy
November 1998

New in Csound version 3.492

Previous | Home | Next
mclock | Up | midic14